Skip to navigation

Chat reports (list)

Relatório de chats (atendimentos de WhatsApp).

Suporta os parâmetros universais JSON:API (paginação, ordenação, include, sparse fieldsets) — veja as convenções.

Authentication

AuthorizationBearer
Token de API da conta do tenant.

Query parameters

filter[started_at]stringOptional

datetime, opcional. Chats iniciados no intervalo.

Ex: filter[started_at]=2018-06-01T00:00:00.000Z,2018-06-01T23:59:59.999Z

filter[protocol]stringOptional

integer, opcional. Chat cujo protocolo seja igual ao valor.

Ex: filter[protocol]=1

filter[customer]stringOptional

integer, opcional. Chats cujo cliente seja igual ao valor.

Ex: filter[customer]=3

filter[users]stringOptional

integer, opcional. Chats cujo agente seja igual ao valor.

Ex: filter[users]=2

filter[business_phone]stringOptional

string, opcional. Chats cujo telefone de entrada contenha o valor.

Ex: filter[business_phone]=987654321

filter[customer_phone]stringOptional

string, opcional. Chats cujo telefone de destino contenha o valor.

Ex: filter[customer_phone]=987654321

filter[chat_campaign]stringOptional

integer, opcional. Chats cuja campanha de WhatsApp seja igual ao valor.

Ex: filter[chat_campaign]=1

filter[workflow]stringOptional

integer, opcional. Chats cujo fluxo seja igual ao valor.

Ex: filter[workflow]=1

includestringOptional

Relacionamentos incluíveis: users, customer, teams, messages, chat_campaign, queues, template.

page[limit]stringOptional

integer, opcional. Quantidade máxima de itens por página.

page[offset]stringOptional

integer, opcional. Deslocamento (quantos itens pular) para paginação.

Response

Sucesso.